RetroGameFan Updates/Releases

Discussion in 'NDS - Flashcarts and Accessories' started by retrogamefan, Nov 29, 2010.

  1. Some1CP

    Some1CP GBAtemp Fan

    Member
    406
    108
    Sep 12, 2009
    United States
    This kernel, besides not working with my flashcart, actually bricked it. Everytime I tried using it.

    I have an R4i Ultra (r4ultra.com), which is an Acekard 2i clone. The best kernel it currently has is the AKAIO 1.8.6a one. It has some compatibility issues and the developer @Normmatt simply puts some code to make it incompatible with clones (which I question why since it doesn't even work with the latest DSi firmware anymore, there isn't even an acekard website anymore, we just achieved .nds loading on the 3DS without a flashcart, and I highly doubt they produce the Acekard 2i or its clones anymore).

    So, I came across this thread hoping that I would improve my flashcart's compatibility and installed the matching kernel for my flashcart.
    I tried running Pokémon Black 2 to test the AP patch, with no luck. It even made the game run way slower than with AKAIO!

    To my suprise, after I rebooted the DS, the flashcart was bricked. No "Nintendo" logo on the DS splash screen. Black icon on a CFW 3DS. It was dead.

    Luckily, I had a second DS, so I just used the ak2i bootloader updater to unbrick the cart, so it's working fine again.

    I tried running another ROM using the thiread's kernel, and it bricked again, so I just gave up. Unless @Normmatt decides to make a new AKAIO version for this clone (which, mind you, was made by the ACEKARD team), I'm stuck with the older version with limited compatibility.
     


  2. [lol]

    [lol] Member

    Newcomer
    24
    1
    Aug 4, 2013
    Indonesia
    thanks you for your information, I really appreciate this, by the way what is the sign that a flashcart is bricking?

    and probably oot, is my .hk card could use original wood fw?
     
  3. geninchuni

    geninchuni Newbie

    Newcomer
    8
    0
    May 7, 2016
    Mexico
    Hello, I have a R4i SDHC (r4i-sdhc.com) and I get the "wrong date or firmware expired" message, I have the bad luck of owning the only flashcart that isn't updated (R4i without 1.4.x). I don't want to change the date because I have a lot of time based games and I know it will become a mess. Is there any way like using another kernel or modifying the r4 files to make the cart work?. I don't know if anything in the YSMenu will help me because the ysmenu recommended for my model is .nds and I'm afraid of using other thing and "bricking" the R4 :/
     
  4. BARNWEY

    BARNWEY THE MLG DINOSAUR

    Member
    1,006
    308
    Oct 11, 2016
    United States
    Imagination
    Rename the YSMenu.nds to R4.dat. It actually works!
    P.S. Rename the current R4.dat to R4i.nds. That way you can still play any games that don't work on YSMenu...
     
  5. geninchuni

    geninchuni Newbie

    Newcomer
    8
    0
    May 7, 2016
    Mexico
    It didn't work :/, in the (white) screen shows an SD kinda symbol with "? MENU" in red text inside it.
    _________
    | ? \
    |
    MENU |
    l_________ |

    Something like that :(
     
  6. BARNWEY

    BARNWEY THE MLG DINOSAUR

    Member
    1,006
    308
    Oct 11, 2016
    United States
    Imagination
    Is the TTMenu folder in the root? What about TTMenu.dat? I would also recommend trying to launch YSMenu as an nds file (on the default firmware) just to see if it works...
     
  7. hyprskllz

    hyprskllz Gashatto!!

    Member
    527
    167
    Apr 19, 2016
    Indonesia
    Auldrant
    So i just bought a GalaxyEagle i, will this work on it?
    I know it has been listed as compatible, the reason i ask this is because i had an R4i Gold Plus and it bricked when i tried to boot YSMenu. I know it doesn' work, but i didn't realized it could brick my cart, and i want some clarification before i attempt to do this again.
     
  8. BARNWEY

    BARNWEY THE MLG DINOSAUR

    Member
    1,006
    308
    Oct 11, 2016
    United States
    Imagination
    It should work, I don't know why your older card bricked...
     
  9. hyprskllz

    hyprskllz Gashatto!!

    Member
    527
    167
    Apr 19, 2016
    Indonesia
    Auldrant
    this is the cart i mentioned:
    https://actelgame.files.wordpress.com/2013/09/a-ndsi-19b-r4ids-com.jpg?w=700
    Sorry, that's the best picture i could find online. I'm not even sure if YSMenu really bricked my cart, but it's the thing i booted before using it to play some Kirby. Plus the fact that my cart isn't listed in the OP, i think that may be the cause.
    Maybe i'll try this later, but if it bricks again, then i'll buy another one. :)
     
  10. BARNWEY

    BARNWEY THE MLG DINOSAUR

    Member
    1,006
    308
    Oct 11, 2016
    United States
    Imagination
    Yeah, I think that was the cause. Also, what folder did you get the files from? I ask because I know the R4i-SDHC folder only works on cards from r4i-sdhc.com and r4isdhc.com
     
  11. hyprskllz

    hyprskllz Gashatto!!

    Member
    527
    167
    Apr 19, 2016
    Indonesia
    Auldrant
    the one printed on the flashcart, r4ids.com, but looks like it's dead for sometime, i remember it was working last june.
     
  12. BARNWEY

    BARNWEY THE MLG DINOSAUR

    Member
    1,006
    308
    Oct 11, 2016
    United States
    Imagination
    I should've clarified, what folder did you use in the YSMenu zip file?
     
  13. hyprskllz

    hyprskllz Gashatto!!

    Member
    527
    167
    Apr 19, 2016
    Indonesia
    Auldrant
    Doesn't remember, but i think it was the R4i SDHC folder. Doesn't really matter now, since i don't really care about it anymore.
    And just like you said, Galaxy Eagle i works with YSMenu, even better than the original kernel provided. :D
     
    Last edited by hyprskllz, Jan 9, 2017
  14. BARNWEY

    BARNWEY THE MLG DINOSAUR

    Member
    1,006
    308
    Oct 11, 2016
    United States
    Imagination
    Alright, that makes sense, sorry to hear about your old flashcard though :sad:.... Anyways, good luck with your new card!!
     
    hyprskllz likes this.
  15. geninchuni

    geninchuni Newbie

    Newcomer
    8
    0
    May 7, 2016
    Mexico
    the TTMenu folder and the TTMenu.dat are in the root. I can run the YSMenu.nds without any problem, but again, I don't want to change the date in order to open the kernel without the expired firmware problem :(
     
  16. BARNWEY

    BARNWEY THE MLG DINOSAUR

    Member
    1,006
    308
    Oct 11, 2016
    United States
    Imagination
    I'll post a working R4.dat (for YSMenu) when I get home later...
     
  17. geninchuni

    geninchuni Newbie

    Newcomer
    8
    0
    May 7, 2016
    Mexico
    Thanks, I'd appreciate it a lot! :D
     
  18. Sleet

    Sleet GBAtemp Regular

    Member
    298
    58
    Jan 29, 2008
    United States
    Look here for the prepatched DAT to boot YSmenu directly.
    It works but sadly the date check is still in place. I set my year to 2020 to test and I was able to boot YSmenu without any problem naturally but when you launch the original kernel even as a .nds it will still say "firmware expired".
     
    Last edited by Sleet, Jan 11, 2017
  19. geninchuni

    geninchuni Newbie

    Newcomer
    8
    0
    May 7, 2016
    Mexico
    Thanks a lot, just confirmed it does work :yay3ds:
     
  20. BARNWEY

    BARNWEY THE MLG DINOSAUR

    Member
    1,006
    308
    Oct 11, 2016
    United States
    Imagination
    I'm aware, but it is useful still... I kept mine so I could play DSi-Enhanced games XD